import { aws_lambda as lambda } from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { BaseDependencyPackager, DependencyPackagerProps, LayerProps } from './base';
/**
 * Packager for creating Lambda layers for Java dependencies in AWS. Nothing is done locally so this doesn't require Docker and doesn't upload huge files to S3.
 */
export declare class JavaDependencyPackager extends BaseDependencyPackager {
    private static runtimePackage;
    constructor(scope: Construct, id: string, props?: DependencyPackagerProps);
    /**
     * Create a layer for dependencies defined in pom.xml installed with Maven.
     */
    layerFromMaven(id: string, path: string, props?: LayerProps): lambda.LayerVersion;
}
